#define BOOLEAN_OPEN	32768u
#define BOOLEAN_CLOSE	32769u
#define BOOLEAN_AND		32770u
#define BOOLEAN_OR		32771u
#define BOOLEAN_NOT		32772u
#define BOOLEAN_XOR		32773u
#define BOOLEAN_TRUE	32774u
#define BOOLEAN_FALSE	32775u

#define BOOLEAN_END		65535u

Bool IsBooleanExpressionValid(const BoolExpr Expression);
Bool EvaluateBooleanExpression(const BoolExpr Expression, Bool (*Tester)(int));
void ShowBooleanExpression(const BoolExpr Expression, void (*Shower)(int));
Bool CreateBooleanExpression(char *InputString, int (*Tester)(const char *), BoolExpr Expression);
Bool IsInBooleanExpression(const BoolExpr Expression, uint ToTest);
